jQuery(document).ready(function ($) {
    "use strict";
    
    // Log initial data for debugging
    console.log(koala_multi_country_cart);

    // Handle click event on .mca_chnage_text
    $(document).on("click", ".mca_chnage_text", function(e) {
        e.preventDefault();

        var product_id = $(this).attr('id');
        var cart_key = $(this).data('cart_item_key');

        // Get the current quantity from the hidden input or data attribute
        let $quantityBox = $('.mca_items_' + cart_key).find('.mca_quan').last();
        let currentQuantity = parseInt($quantityBox.find('input').val(), 10);
        let hiddenQuantityInput = $quantityBox.find('input[type="hidden"].currentQuantity');

        if (!hiddenQuantityInput.length) {
            hiddenQuantityInput = $('<input type="hidden" class="currentQuantity" value="' + currentQuantity + '">');
            $quantityBox.append(hiddenQuantityInput);
        } else {
            currentQuantity = parseInt(hiddenQuantityInput.val(), 10);
        }

        // Check if the current quantity is greater than 1
        if (currentQuantity > 1) {
            let remainingQuantity = 1;
            let dividedQuantity = currentQuantity - remainingQuantity;

            // Update the visible input field with the remaining quantity
            $quantityBox.find('input').val(remainingQuantity);
            // Update the hidden input field with the divided quantity
            hiddenQuantityInput.val(dividedQuantity);

            let qnt_html = $('.mca_add_multiple_address_temp .hide_ship_n').html();
            let html = koala_multi_country_cart.multiple_address_select_tag;
            let index = $('.mca_items_' + cart_key).find('.mca').length + 1;

            html = af_replace(html, cart_key, product_id, index);
            qnt_html = af_replace(qnt_html, cart_key, product_id, index, dividedQuantity);

            // Append the new HTML for the split quantity
            $('.mca_items_' + cart_key).find('.mca').last().append(html);
            $('.mca_items_' + cart_key).find('.mca_quan input').last().val(dividedQuantity);

            // Debugging: Log the HTML to ensure it is correct
            console.log("Updated HTML:", $quantityBox.html());
        } else {
            // Alert user and provide an option to increase quantity
            alert("Quantity must be greater than 1 to divide. Please increase the quantity and try again.");

            // Optionally, focus on the quantity input field so user can easily increase it
            $quantityBox.find('input').focus();
        }
    });

    // Handle quantity increase (example implementation)
    $(document).on("change", ".mca_quan input", function() {
        let $quantityBox = $(this).closest('.mca_quan');
        let newQuantity = parseInt($(this).val(), 10);

        // Update hidden input value
        let hiddenQuantityInput = $quantityBox.find('input[type="hidden"].currentQuantity');
        hiddenQuantityInput.val(newQuantity);

        // If the new quantity is greater than 1, enable the .mca_chnage_text button again
        if (newQuantity > 1) {
            // Enable the button or allow the previous functionality
            // For example, you might remove a class or enable the button:
            $('.mca_chnage_text').removeClass('disabled');
        }
    });

    function af_replace(html, cart_key = '', product_id = '', index, quantity = '') {
        if (!html) {
            return html;
        }
        html = html.replace(/cart_key/g, cart_key);
        html = html.replace(/product_id/g, product_id);
        html = html.replace(/index/g, index);
        html = html.replace(/quantity/g, quantity);
        return html;
    }
});



jQuery(document).ready(
    function ($) {
        "use strict";
        $(".mca_ship").on("click", function() {
            if( $('.mca_ship').is(':checked') ){
                $(".mca_container").show();
            }
        // $(".mca_ship").click(function(){
            else if($(".mca_ship").prop("checked", false) ){
                $(".mca_container").hide();
            }
            else{

            }
        });
    });
//show multiple addresses
jQuery(document).ready(function ($) {
    "use strict";
    
    // Show the layout container when the checkbox is checked
    $(document).on("click", ".mca_checkdo", function() {
        if ($('.mca_checkdo').is(':checked')) {
            $(this).closest('form').find("#mca_layout_container").show();
        } else {
            $(this).closest('form').find("#mca_layout_container").hide();
        }
    });

    // Hide the layout container when the close button is clicked
    $(document).on("click", "#close-popup", function() {
        $("#mca_layout_container").hide();
        // Uncheck the checkbox if you want it to reflect the state
        $('.mca_checkdo').prop('checked', false);
    });
});

// });
//add new ship address
jQuery(document).ready(
function ($) {
    "use strict";
    $(document).on(
            'click',
            ".mca_sh",
            function () {
        if( $('.mca_sh').is(':checked') ){
            $(".hover_bkgr_fricc").show();
        }
        // $(".mas_sh").click(function(){
        else if($(".mca_sh").prop("checked", false) ){
            $(".hover_bkgr_fricc").hide();
        }
        else{

        }
    });
});
jQuery(document).ready(
    function ($) {

        $(document).on(
            'click',
            ".cart_billing_values",
            function () {

                var idname = $(this).closest("div.cart_model_content").find("input[name='identifier_name_billing']").val();
                if (idname === "") {
                    jQuery('.message_billing').html('*Billing identifier Name is required.');
                    return false;
                }

                var user_id = $(this).closest("div.cart_model_content").find("input[name='user_id']").val();

                var fname = $(this).closest("div.cart_model_content").find("input[name='first_name_billing']").val();
                if (fname === "") {
                    jQuery('.message_billing').html('*Billing First Name is required.');
                    return false;
                }

                var lname = $(this).closest("div.cart_model_content").find("input[name='last_name_billing']").val();

                if (lname === "") {
                    jQuery('.message_billing').html('*Billing Last Name is required.');
                    return false;
                }

                var cname = $(this).closest("div.cart_model_content").find("input[name='copmany_name_billing_required']").val();
                if (cname === "") {
                    jQuery('.message_billing').html('*Billing Company Name is required.');
                    return false;
                }
                if (typeof cname === 'undefined') {
                    var cname = $(this).closest("div.cart_model_content").find("input[name='copmany_name_billing']").val();
                }

                var country = $(this).closest("div.cart_model_content").find("select[name='country_name_billing']").val();

                var state = $(this).closest("div.cart_model_content").find("select[name='add_billing_state']").val();
                if (state === undefined) {
                    var state = $(this).closest("div.cart_model_content").find("input[name='get_input_state_billing']").val();
                }

                var street = $(this).closest("div.cart_model_content").find("input[name='st_address_billing']").val();

                if (street === "") {
                    jQuery('.message_billing').html('*Billing Street Address is required.');
                    return false;
                }

                var street2 = $(this).closest("div.cart_model_content").find("input[name='st_address_billing2']").val();

                var town = $(this).closest("div.cart_model_content").find("input[name='town_address_billing']").val();

                if (town === "") {
                    jQuery('.message_billing').html('*Billing Town/City is required.');
                    return false;
                }

                var postal = $(this).closest("div.cart_model_content").find("input[name='postal_code_billing']").val();

                if (postal === "") {
                    jQuery('.message_billing').html('*Billing Postal code is required.');
                    return false;
                }

                var phone = $(this).closest("div.cart_model_content").find("input[name='phone_billing']").val();

                if (phone === "") {
                    jQuery('.message_billing').html('*Billing Phone is required.');
                    return false;
                }

                var email = $(this).closest("div.cart_model_content").find("input[name='email_billing']").val();

                if (email === "") {
                    jQuery('.message_billing').html('*Billing Email Address is required.');
                    return false;
                }
                let mailformat = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

                if (!mailformat.test(email)) {
                    jQuery('.message_billing').html('*Please enter a valid email address');
                    return false;
                }

                var billing_modal = document.getElementById("cart_modal_id");

                let ajaxurl = koala_multi_country_cart.admin_url;
                let nonce = koala_multi_country_cart.nonce;
                jQuery.ajax(
                    {
                        url: ajaxurl,
                        type: 'POST',
                        data: {
                            action: 'koala_country_state_ajax',
                            cart_billing_form: country,
                            idname: idname,
                            fname: fname,
                            lname: lname,
                            cname: cname,
                            country: country,
                            state: state,
                            street1: street,
                            street2: street2,
                            town: town,
                            postal: postal,
                            phone: phone,
                            email: email,
                            user_id: user_id,
                            nonce: nonce,
                        },

                        success: function (response) {
                            billing_modal.style.display = "none";
                            jQuery('#refresh_bill').load(location.href + " #refresh_bill");
                        }
                    }
                );
            }
        );
    }
);
jQuery(document).ready(function($) {
    "use strict";
    var plug_url = wc_add_to_cart_params.ajax_url; // Use WooCommerce's AJAX URL
    $(document).on('change', 'input.qty', function() {
        var $input = $(this);
        var qty = $input.val();
        var itemKey = $input.attr('name').match(/\[(.*?)\]/)[1]; // Extract cart item key

        // Send AJAX request to update the quantity
        $.ajax({
            url: plug_url,
            type: 'POST',
            data: {
                action: 'update_cart_item_quantity',
                item_key: itemKey,
                quantity: qty,
            },
            success: function(response) {
                if (response.success) {
                    // Handle success (e.g., update UI, show a message, etc.)
                    console.log('Quantity updated successfully');
                } else {
                    // Handle error
                    console.log('Error:', response.data);
                }
            },
            error: function(xhr, status, error) {
                console.log('AJAX Error:', status, error);
            }
        });
    });
});



jQuery(document).ready(function($) {
    "use strict";
    var plugin_url = koala_multi_country_cart.admin_url;
    var nonce = koala_multi_country_cart.nonce;

    // Function to send AJAX request
    function sendUpdateRequest(form) {
        var data = form.serialize();

        $.ajax({
            type: 'POST',
            url: plugin_url,
            data: {
                action: 'update_form',
                nonce: nonce,
                data: data,
            },
            success: function(response) {
                console.log(response);
                jQuery(document.body).trigger("update_checkout");

                // Display success message
                alert("Cart updated successfully!");
            },
            error: function(err) {
                alert("There was an error: " + err);
            }
        });
    }

    // Form submit handler for button click
    $(document).on('click', '.kaama-update_btn', function(event) {
        event.preventDefault(); // Prevent default form submission

        var form = $(this).closest('form');
        sendUpdateRequest(form);
    });

    // Debounced function for updating cart on quantity change
    function debounce(func, wait) {
        let timeout;
        return function(...args) {
            clearTimeout(timeout);
            timeout = setTimeout(() => func.apply(this, args), wait);
        };
    }

    const updateCartOnChange = debounce(function(event) {
        var form = $(this).closest('form');
        sendUpdateRequest(form);
    }, 500); // 500ms debounce to avoid too many requests

    // Bind to quantity input change
    $(document).on('change', '.quantity input', updateCartOnChange);
});


jQuery(document).ready(
    function ($) {
        $(document).on(
            'change',
            "#onchange_billing",
            function () {
                let ajaxurl = koala_multi_country_cart.admin_url;
                let nonce = koala_multi_country_cart.nonce;
                var address_id = this.value;
                var xml;

                var user_id = $(this).closest("div.find_val").find("input[name='get_user_id']").val();
                jQuery.ajax(
                    {
                        url: ajaxurl,
                        type: 'POST',
                        data: {
                            action: 'kawmsa_update_addresses',
                            address_id_cart: address_id,
                            user_id: user_id,
                            nonce: nonce,
                        },
                        success: function (data) {
                            var idname = data['idname'];
                            var fname = data['fname'];
                            var lname = data['lname'];
                            var company = data['cname'];
                            var country = data['country'];
                            var state = data['state'];
                            var street = data['street'];
                            var street2 = data['street2'];
                            var city = data['town'];
                            var postal = data['postal'];
                            var phone = data['phone'];
                            var email = data['email'];
                            var country_full_name = data['country_full_name'];
                            var state_full_name = data['state_full_name'];
                            jQuery('#billing-first_name').val(fname);
                            jQuery('#billing-last_name').val(lname);
                            jQuery('#billing-country').val(country);
                            jQuery('#billing-country').select2();
                            jQuery('#billing-country').trigger('change');
                            jQuery(document.body).trigger("update_checkout");
                            jQuery('#billing-state').val(state);
                            jQuery('#billing-state').trigger('change');
                            jQuery('#billing-address_1').val(street);
                            jQuery('#billing_address_2').val(street2);
                            jQuery('#billing-city').val(city);
                            jQuery('#billing-postcode').val(postal);
                            jQuery('#billing-phone').val(phone);
                            jQuery('#billing-email').val(email);

                        }
                    }
                );
            }
        );

        $('#onchange_billing').trigger('change');


    }
);
jQuery(document).ready(
    function ($) {
        $(document).on(
            'change',
            "#onchange_shipping",
            function () {

                let ajaxurl = koala_multi_country_cart.admin_url;
                let nonce = koala_multi_country_cart.nonce;

                var address_id = this.value;
                var xml;
                let closest_form = $(this).closest('form');

                var user_id = $(this).closest("div.find_val_shipping").find("input[name='get_user_id']").val();
                jQuery.ajax(
                    {

                        url: ajaxurl,
                        type: 'POST',
                        data: {
                            action: 'kawmsa_update_addresses',
                            address_id_cart_shipping: address_id,
                            user_id: user_id,
                            nonce: nonce,

                        },

                        success: function (data) {
                            var idname = data['idname'];
                            var fname = data['fname'];
                            var lname = data['lname'];
                            var company = data['cname'];
                            var country = data['country'];
                            var state = data['state'];
                            var street = data['street'];
                            var street2 = data['street2'];
                            var city = data['town'];
                            var postal = data['postal'];
                            var phone = data['phone'];
                            var email = data['email'];
                            var country_full_name = data['country_full_name'];
                            var state_full_name = data['state_full_name'];

                            closest_form.find('#shipping-first_name , #shipping_first_name').val(fname);
                            closest_form.find('#shipping-last_name , #shipping_last_name').val(lname);
                            closest_form.find('#shipping-company , #shipping_company').val(company);

                            closest_form.find('#shipping-country , #shipping_country').val(country);

                            jQuery('#shipping-country , #shipping_country').select2();

                            jQuery('#shipping-country , #shipping_country').trigger('change');

                            jQuery(document.body).trigger("update_checkout");

                            closest_form.find('#shipping-state , #shipping_state').val(state);
                            jQuery('#shipping-state , #shipping_state').trigger('change');

                            closest_form.find('#shipping-address_1 , #shipping_address_1').val(street);
                            closest_form.find('#shipping-address_2 , #shipping_address_2').val(street2);

                            closest_form.find('#shipping-city , #shipping_city').val(city);

                            closest_form.find('#shipping-postcode , #shipping_postcode').val(postal);

                            closest_form.find('#shipping-phone , #shipping_phone').val(phone);

                            closest_form.find('#shipping-email , #shipping_email').val(email);

                        }
                    }
                );
            }
        );
        $('#onchange_shipping').trigger('change');
    }
);

jQuery(document).ready(
    function ($) {
        var billing_modal = $(".forth-form #cart_modal_id");

        $(document).on(
            'click',
            "#add_cart_billing",
            function () {
                jQuery(".forth-form #cart_modal_id").show();
            }
        );

        $(document).on(
            'click',
            ".cart_m_exit",
            function () {
               jQuery(".forth-form #cart_modal_id").hide();
            }
        );

    }
);
jQuery(document).ready(
    function ($) {
        var shipping_modal = $(".third-form #cart_modal_id_shipping");
              // console.log(billing_modal);
        $(document).on(
            'click',
            "#add_cart_shipping",
            function () {
                
                jQuery(".third-form #cart_modal_id_shipping").show();
                // billing_modal.style.display = "block";
            }
        );

        $(document).on(
            'click',
            ".cart_m_exit_shipping",
            function () {
                jQuery(".third-form #cart_modal_id_shipping").hide();
            }
        );

    }
);
jQuery(document).ready(
    function ($) {
        var new_address = $(".first-form #new_address_id");
              // console.log(billing_modal);
        $(document).on(
            'click',
            ".mca_sh",
            function () {
                
                jQuery(".first-form #new_address_id").show();
                // billing_modal.style.display = "block";
            }
        );

        $(document).on(
            'click',
            ".address_m_exit",
            function () {
                jQuery(".first-form #new_address_id").hide();
            }
        );

    }
);

jQuery(document).ready(
    function ($) {
        var shipping_modal = $(".third-form #cart_modal_id_shipping");
              // console.log(billing_modal);
        $(document).on(
            'click',
            "#add_cart_shipping",
            function () {
                
                jQuery(".third-form #cart_modal_id_shipping").show();
                // billing_modal.style.display = "block";
            }
        );

        $(document).on(
            'click',
            ".cart_m_exit_shipping",
            function () {
                jQuery(".third-form #cart_modal_id_shipping").hide();
            }
        );

    }
);

jQuery(document).ready(function($) {
     $(document).on(
            'click',
            ".address_values",
            function (e) {
                 let ajaxurl = koala_multi_country_cart.admin_url;
                let nonce = koala_multi_country_cart.nonce;
                var address_id = this.value;
                var xml;

        e.preventDefault(); // Prevent default form submission
        
        var form = $('#myForm');
        var formData = form.serialize(); // Serialize form data
        alert(formData);
        
        $.ajax({
            url: ajaxUrl, // URL to send the request to
            type: 'POST',
            data: formData + '&action=save_shipping_address&nonce=' + myAjax.nonce, // Include action and nonce
            success: function(response) {
                if (response.success) {
                    $('.kamca_div1').html(response.data.html); // Update HTML in kamca_div1

                } else {
                    alert('Error: ' + response.data.message); // Handle errors
                }
                alert(response);
            },
            error: function(xhr, status, error) {
                console.error('AJAX Error:', status, error); // Log AJAX errors
            }
        });
    });
});
jQuery(document).ready(
    function ($) {
        $(document).on(
            'click',
            ".cart_shipping_values",
            function () {

                var idname = $(this).closest("div.cart_model_content_shipping").find("input[name='identifier_name_shipping']").val();
                if (idname === "") {
                    jQuery('.message').html('*Shipping identifier Name is required.');

                    return false;
                }

                var user_id = $(this).closest("div.cart_model_content_shipping").find("input[name='user_id']").val();

                var fname = $(this).closest("div.cart_model_content_shipping").find("input[name='first_name_shipping']").val();
                if (fname === "") {
                    jQuery('.message').html('*Shipping First Name is required.');

                    return false;
                }

                var lname = $(this).closest("div.cart_model_content_shipping").find("input[name='last_name_shipping']").val();
                if (lname === "") {
                    jQuery('.message').html('*Shipping Last Name is required.');

                    return false;
                }

                var cname = $(this).closest("div.cart_model_content_shipping").find("input[name='copmany_name_shipping_edit_required']").val();
                if (cname === "") {
                    jQuery('.message').html('*Shipping Company Name is required.');
                    return false;
                }
                if (typeof cname === 'undefined') {

                    var cname = $(this).closest("div.cart_model_content_shipping").find("input[name='copmany_name_shipping']").val();
                }

                var country = $(this).closest("div.cart_model_content_shipping").find("select[name='country_name_shipping']").val();

                var state = $(this).closest("div.cart_model_content_shipping").find("select[name='add_shipping_state']").val();
                if (state === undefined) {
                    var state = $(this).closest("div.cart_model_content_shipping").find("input[name='get_input_state_shipping']").val();
                }

                var street = $(this).closest("div.cart_model_content_shipping").find("input[name='st_address_shipping']").val();
                if (street === "") {
                    jQuery('.message').html('*Shipping Street Address is required.');

                    return false;
                }

                var street2 = $(this).closest("div.cart_model_content_shipping").find("input[name='st_address_shipping2']").val();

                var town = $(this).closest("div.cart_model_content_shipping").find("input[name='town_address_shipping']").val();
                if (town === "") {
                    jQuery('.message').html('*Shipping Town/City is required.');

                    return false;
                }

                var postal = $(this).closest("div.cart_model_content_shipping").find("input[name='pin_code_shipping']").val();
                if (postal === "") {
                    jQuery('.message').html('*Shipping Postal code is required.');

                    return false;
                }
                var phone = $(this).closest("div.cart_model_content_shipping").find("input[name='phone_shipping_required']").val();
                if (typeof phone === 'undefined') {
                    var phone = $(this).closest("div.cart_model_content_shipping").find("input[name='phone_shipping']").val();
                    if (typeof phone !== 'undefined') {
                        var phone = "";
                    }
                } else {
                    if (phone === "") {
                        jQuery('.message').html('*Shipping Phone is required.');
                        return false;
                    }
                }
                var email = $(this).closest("div.cart_model_content_shipping").find("input[name='email_shipping_required']").val();
                if (typeof email === 'undefined') {
                    var email = $(this).closest("div.cart_model_content_shipping").find("input[name='email_shipping']").val();

                    if (typeof email === 'undefined') {
                        var email = "";
                    } else {
                        let mailformat = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

                        if (!mailformat.test(email) && email !== "") {
                            jQuery('.message').html('*Please enter a valid email address');
                            return false;
                        }
                    }
                } else {
                    if (email === "") {
                        jQuery('.message').html('*Shipping Email Address is required.');
                        return false;
                    }
                    let mailformat = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

                    if (!mailformat.test(email)) {
                        jQuery('.message').html('*Please enter a valid email address');
                        return false;
                    }
                }

                var shipping = document.getElementById("cart_modal_id_shipping");

                let ajaxurl = koala_multi_country_cart.admin_url;
                let nonce = koala_multi_country_cart.nonce;
                jQuery.ajax(
                    {
                        url: ajaxurl,
                        type: 'POST',
                        data: {
                            action: 'koala_country_state_ajax',
                            cart_shipping_form: country,
                            idname: idname,
                            fname: fname,
                            lname: lname,
                            cname: cname,
                            country: country,
                            state: state,
                            street1: street,
                            street2: street2,
                            town: town,
                            postal: postal,
                            phone: phone,
                            email: email,
                            user_id: user_id,
                            nonce: nonce,
                        },

                        success: function (response) {

                            shipping.style.display = "none";
                            jQuery('#refresh_ship').load(location.href + " #refresh_ship");
                        }
                    }
                );
            }
        );
    }
);